import numpy as np
import matplotlib.pyplot as plt
from matplotlib.patches import Rectangle

tree = np.loadtxt("../out/tree.txt")
pos = np.loadtxt("../data/data.txt")

x = pos[:,2]
y = pos[:,3]

fig, ax = plt.subplots()

# ax.scatter(tree[:,0], tree[:,1], color='r', s=0.1)
ax.scatter(x, y, color='b', s=0.1)

for i in range(tree.shape[0]):
    size = tree[i,3]
    ax.add_patch(Rectangle((tree[i,0] - size, tree[i,1] - size), 2*size, 2*size, linewidth=1, edgecolor='k', facecolor='none', alpha=0.5))
    # ax.text(tree[i,0], tree[i,1], str(tree[i,4]), fontsize=8, horizontalalignment='center', verticalalignment='center')
    ax.set_aspect('equal')

plt.savefig("treeplot.png")
plt.show()